<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('document_template_section_items', function (Blueprint $table) {
            $table->unsignedTinyInteger('frequency_n')->nullable()->after('measurement_type');
            $table->unsignedTinyInteger('frequency_c')->nullable()->after('frequency_n');
        });
    }

    public function down(): void
    {
        Schema::table('document_template_section_items', function (Blueprint $table) {
            $table->dropColumn(['frequency_n', 'frequency_c']);
        });
    }
};
